Subject: Re: [PATCH net-next 1/4] drivers: Remove inclusion of vermagic header

From: Leon Romanovsky <[email-masked]>
Date: Tue, 14 Apr 2020 20:26:04 +0300

On Tue, Apr 14, 2020 at 06:00:41PM +0200, Borislav Petkov wrote:
> On Tue, Apr 14, 2020 at 06:57:29PM +0300, Leon Romanovsky wrote:
> > From: Leon Romanovsky <[email-masked]>
> >
> > Get rid of linux/vermagic.h includes, so that MODULE_ARCH_VERMAGIC from
> > the arch header arch/x86/include/asm/module.h won't be redefined.
> >
> >   In file included from ./include/linux/module.h:30,
> >                    from drivers/net/ethernet/3com/3c515.c:56:
> >   ./arch/x86/include/asm/module.h:73: warning: "MODULE_ARCH_VERMAGIC"
> > redefined
> >      73 | # define MODULE_ARCH_VERMAGIC MODULE_PROC_FAMILY
> >         |
> >   In file included from drivers/net/ethernet/3com/3c515.c:25:
> >   ./include/linux/vermagic.h:28: note: this is the location of the
> > previous definition
> >      28 | #define MODULE_ARCH_VERMAGIC ""
> >         |
> >
> > Fixes: 6bba2e89a88c ("net/3com: Delete driver and module versions from 3com drivers")
> > Signed-off-by: Borislav Petkov <[email-masked]>
>
> Just my SOB like that doesn't mean anything. You should add
>
> Co-developed-by: me
> Signed-off-by: me
>
> if you want to state that we both worked on this fix.

I personally don't use such notation and rely on the submission flow.

The patch has two authors both written in SOBs and it will be visible
in the git history that those SOBs are not maintainers additions.

Can you please reply to the original patch with extra tags you want,
so b4 and patchworks will pick them without me resending the patches?

Thanks

>
> Thx.
>
> --
> Regards/Gruss,
>     Boris.
>
> SUSE Software Solutions Germany GmbH, GF: Felix Imendörffer, HRB 36809, AG Nürnberg